All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
categorical_rng.hpp File Reference
`#include <boost/random/uniform_01.hpp>`
`#include <boost/random/variate_generator.hpp>`
`#include <stan/math/prim/mat/err/check_simplex.hpp>`
`#include <stan/math/prim/scal/err/check_bounded.hpp>`
`#include <stan/math/prim/scal/fun/value_of.hpp>`
`#include <stan/math/prim/mat/fun/sum.hpp>`
`#include <stan/math/prim/mat/meta/index_type.hpp>`
`#include <stan/math/prim/scal/fun/constants.hpp>`
`#include <stan/math/prim/scal/meta/include_summand.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<class RNG >
int | stan::math::categorical_rng (const Eigen::Matrix< double, Eigen::Dynamic, 1 > &theta, RNG &rng)

[ Stan Home Page ] © 2011–2015, Stan Development Team.